/*
 *	FM-7 EMULATOR "XM7"
 *
 *	Copyright (C) 1999-2019 ohD(Twitter:@xm6_original)
 *	Copyright (C) 2001-2019 Ryu Takegami (Twitter:@RyuTakegami)
 *
 *	[ Win32API EChE\ ]
 */

#ifdef _WIN32

#ifndef _w32_gdi_h_
#define _w32_gdi_h_

#ifdef __cplusplus
extern "C" {
#endif
/*
 *	vGg
 */
void FASTCALL InitGDI(void);
										/*  */
void FASTCALL CleanGDI(void);
										/* N[Abv */
BOOL FASTCALL SelectGDI(HWND hWnd);
										/* ZNg */
void FASTCALL DrawGDI(HWND hWnd, HDC hDC);
										/* ` */
void FASTCALL DrawRasterGDI(int nRaster);
										/* X^` */
void FASTCALL DrawPostRenderGDI(HWND hWnd, HDC hDC);
										/* X^_O` */
void FASTCALL EnterMenuGDI(HWND hWnd);
										/* j[Jn */
void FASTCALL ExitMenuGDI(void);
										/* j[I */
void FASTCALL VramGDI(WORD addr);
										/* VRAMݒʒm */
void FASTCALL TvramGDI(WORD addr);
										/* eLXgVRAMݒʒm */
void FASTCALL DigitalGDI(void);
										/* TTLpbgʒm */
void FASTCALL AnalogGDI(void);
										/* AiOpbgʒm */
void FASTCALL ReDrawGDI(void);
										/* ĕ`ʒm */
void FASTCALL ReDrawTVRamGDI(void);
										/* eLXgĕ`ʒm */
#if XM7_VER >= 3
void FASTCALL WindowGDI(void);
										/* n[hEFAEBhEʒm */
#endif
void SelectCancelGDI(void);
										/*	ZNgLZ */

/*
 *	v[N
 */
extern DWORD rgbTTLGDI[16];
										/* fW^pbg */
extern DWORD rgbAnalogGDI[4096];
										/* AiOpbg */
extern BYTE *pBitsGDI;
										/* rbgf[^ */
#ifdef __cplusplus
}
#endif

#endif	/* _w32_gdi_h_ */
#endif	/* _WIN32 */
