*
*	FM-7 EMULATOR "XM7"
*
*	Copyright (C) 1999-2019 ohD(yasushi@tanaka.net)
*	Copyright (C) 2001-2019 Ryu Takegami
*
*	[ JIS78 ROMZ[o(XM7 V3Ή) ]
*
*	Ώۋ@EfBA^CvɉăAZuɃIvVw肷邱
*		-dDISKTYPE=0	360KB(2D)  ʏtH[}bg
*		-dDISKTYPE=1	720KB(2DD) 1gbNtH[}bg
*		-dDISKTYPE=2	720KB(2DD) ʏtH[}bg
*		-dFBLOADM		DISK BASICp
*

	if	defined(FBLOADM)
				ORG		$0FE0
	else
				ORG		$1000
	endif

*
*	萔` (CVXe)
*
STACK			EQU		$0F00			* X^bNŏI
BUFFER			EQU		$0F80			* ėpobt@
KANJI_BUF		EQU		$0FE8			* obt@
DISK_BUF		EQU		$2800			* fBXNobt@
SHARED			EQU		$FC80			* LRAM

*
*	萔` (CI/O)
*
KEYDAT			EQU		$FD01			* L[f[^WX^
SUBMODE			EQU		$FD04			* TuVXe[hWX^
SUBSIN			EQU		$FD05			* TuVXeC^tF[XWX^
RS232D			EQU		$FD06			* USART f[^WX^
RS232S			EQU		$FD07			* USART Xe[^XWX^
RS232C			EQU		RS232S			* USART R}hWX^
RSBAUD			EQU		$FD0B			* RS-232C {[[gWX^
RSENABLE		EQU		$FD0C			* RS-232C Cl[uWX^
BANKSEL			EQU		$FD0F			* ROM/RAMZNgWX^
INITDIS			EQU		$FD10			* CjVG[^ROM fBZ[uWX^
SUBSTAT			EQU		$FD12			* Tu[hXe[^XWX^
SUBBANK			EQU		$FD13			* TuoNWX^
FDCSTAT			EQU		$FD18			* FDC Xe[^XWX^
FDCCMD			EQU		FDCSTAT			* FDC R}hWX^
FDCTRACK		EQU		$FD19			* FDC gbNWX^
FDCSECTOR		EQU		$FD1A			* FDC ZN^WX^
FDCDATA			EQU		$FD1B			* FDC f[^WX^
FDDSIDE			EQU		$FD1C			* FDD TChWX^
FDDDRIVE		EQU		$FD1D			* FDD hCuWX^
FDDMODE			EQU		$FD1E			* FDD [hWX^
FDDDRQ			EQU		$FD1F			* FDC DRQ/IRQWX^
KNJ1ADR			EQU		$FD20			* ꐅ AhXWX^
KNJ1DATA		EQU		$FD22			* ꐅ f[^WX^
KNJ2ADR			EQU		$FD2C			* 񐅏 AhXWX^
KNJ2DATA		EQU		$FD2E			* 񐅏 f[^WX^
DICBANK			EQU		$FD2E			* ROM oNWX^
MMR				EQU		$FD80			* MMR }bsOWX^
MSGR			EQU		$FD90			* MMR ZOgWX^
MMSR			EQU		$FD93			* MMR [hZNgWX^
MSSW1			EQU		$FD94			* [hZNgXCb`1 (40/20)
MSSW2			EQU		$FD95			* [hZNgXCb`2 (EX)

*
*	萔` (TuI/O)
*
SUBMODEL4		EQU		$D405			* Tu[hWX^ (L4)
CRTDSP			EQU		$D408			* CRT ON/OFFWX^
VACC			EQU		$D409			* VRAMANZXtO
ALUCMD			EQU		$D410			* _ZR}hWX^
ALUCOL			EQU		$D411			* _ZJ[WX^
ALUMASK			EQU		$D412			* _Z}XNWX^
ALUDIS			EQU		$D41B			* _ZoNfBZ[uWX^
KENCDAT			EQU		$D431			* L[GR[_f[^WX^
KENCSTA			EQU		$D432			* L[GR[_Xe[^XWX^

*
*	[NGA`
*
RS_FLAG			EQU		$00			* VAo̓tO
DRIVE			EQU		$01			* ANZXhCu
TRACK			EQU		$02			* ANZXgbN
DRIVE0_T		EQU		$03			* hCu0̃gbN
DRIVE1_T		EQU		$04			* hCu1̃gbN
SIDE			EQU		$05			* ANZXTCh
SECTOR			EQU		$06			* ANZXZN^
SECTORS			EQU		$07			* AZN^
CLUSTER			EQU		$08			* t@C擪NX^
CLUSTERS		EQU		$0A			* g[^NX^(1NX^1KB)
LASTBYTE		EQU		$0C			* ŏINX^̃oCg
COLOR			EQU		$0E			* J[R[h
TYPE			EQU		$0F			* FDCR}h^Cv
C_TRACK			EQU		$10			* JggbN
C_SIDE			EQU		$11			* JgTCh
C_SECTOR		EQU		$12			* JgZN^
C_SECTORS		EQU		$13			* JgZN^
FM77_FLAG		EQU		RS_FLAG		* FM-77tO
L4_FLAG			EQU		COLOR		* 400CtO (L4)

*
*	AZu`
*
M_FM7			EQU		0			* FM-7V[YS@
M_FM77AV		EQU		1			* FM77AVV[YS@
M_FM77AV40		EQU		2			* FM77AV40/EX/SX
M_KANJI			EQU		4			* FM77AV40EX/SX(ROM)
D_NORM2D		EQU		0			* 2D (360KB) ʏtH[}bg
D_SKIP2DD		EQU		1			* 2DD(720KB) PgbNtH[}bg
D_NORM2DD		EQU		2			* 2DD(720KB) ʏtH[}bg

*
*	@CMT I/FoRp ]vO
*
	if	defined(FBLOADM)
ENTRY			ORCC	#$50
				LEAX	<START,PCR
				LDU		#$1000
				LDY		#((PRGEND-START)|1)+1
TFRLOOP			LDD		,X++
				STD		,U++
				LEAY	-2,Y
				BNE		TFRLOOP
				JMP		$1000

				ORG		$1000
	endif

*
*	vOX^[g
*
START			BRA		MAIN

*
*	vOwb_
*
HEADER			FCC		/TINY-DOS(mini) for FM-7  /
				FCC		/Copyright 1991-1992,1999 by ohD/
				FCB		$0D,$0A,$00

HEADER2			EQU		*
				FCC		/SAVEKNJ /
				FCC		/ V1.38  /
				FCC		"Copyright 1999 ohD/ 2003-2019 Ryu Takegami"
				FCB		$0D,$0A,$00

*
*	CvO
*
				ORG		START+$80
MAIN			ORCC	#$50
	if	defined(FBLOADM)
				LDS		#STACK
	else
				LEAS	STACK,PCR
	endif

* n[hEFA
	if	defined(RSDRIVER)
				LBSR	RS_INIT
	endif
				LBSR	INIT
				LBSR	FM77AV_INIT

* N^Cg\
	if	(DISKTYPE==D_NORM2D)||(defined(FBLOADM))
				LEAX	TITLE_MSG,PCR
				LBSR	PUT_STRING
				LEAX	TITLE_MSG2,PCR
				LBSR	PUT_STRING
				LEAX	SPACE_MSG,PCR
				LBSR	PUT_STRING
				LBSR	KEY_SPACE
	endif

* fBXNtH[}bg
				LBSR	DISK_RST
				LBSR	MS_FORMAT

* CZ[u
MAINSAVE		LBSR	KANJI

* (bZ[W\E[v)
				LBSR	CLS
				LEAX	COMPLETE_MSG,PCR
				LBSR	PUT_STRING
				BRA		*


*
* 
*
INIT			LEAX	START,PCR
				LEAX	-$100,X
				TFR		X,D
				TFR		A,DP
* [NNA
				CLRA
INIT1			CLR		,X+
				DECA
				BNE		INIT1
* ʏ
				LEAX	SUBINIT_CMD,PCR
				LDB		#$09
				LBSR	SUB_CMD
				LEAX	SUBCONS_CMD,PCR
				LDB		#$02
				LBSR	SUB_CMD
* FM77AV`FbN
				LBSR	IS_FM77AV40EX
				BCC		INIT2
				LEAX	FM77AV_MSG,PCR
				LBSR	PRINT
				BRA		*
INIT2			RTS

*--[ ROMZ[o(JIS78ROM) ]--------------------------------------------

*
*	gTuVXeROMJIS78ROM(AV40EX/SX only)
*
KANJI			EQU		*
* gROM}bsOEZNg
				LDD		#$2E80
				STA		MMR+4
				STB		MSSW2

				LBSR	CLS
				LEAX	KANJI_MSG,PCR
				LBSR	PUT_STRING
				LEAX	KANJI_FN,PCR
				LDD		#$80
				STD		<CLUSTERS
				LDD		#1024
				STD		<LASTBYTE
				LBSR	FILE_CREATE
* 64񃋁[v
				LDA		#$40
KANJI1			PSHS	A
				STA		DICBANK
				LDX		#$4000
				LDU		#4
				LBSR	FILE_WRITE
				PULS	A
				INCA
				CMPA	#$60
				BLO		KANJI1
* NEXT
KANJI2			LDD		#$3402
				STA		MMR+4
				CLR		DICBANK
				CLR		MSSW2
				STB		INITDIS
				RTS

*--[ @픻 ]---------------------------------------------------------------

*
*	FM77AV
*
*	RESULT: CY	FM-7(ON),FM77AV(OFF)
*
IS_FM77AV		PSHS	D
* WRAM֐؂ւA$00
				LDB		#$02
				STB		INITDIS
				CLR		$6000
* CjVG[^ROM֐؂ւAǂݏo`FbN
				CLR		INITDIS
				TST		$6000
				BEQ		IS_FM77AV1
* YꂸɕWRAMɖ߂Ă
				STB		INITDIS
				PULS	D
				ANDCC	#$FE
				RTS
* ͖߂Kv͂Ȃ̂...
IS_FM77AV1		STB		INITDIS
				PULS	D
				ORCC	#$01
				RTS

*
*	FM77AV40EX/SX
*
*	RESULT: CY	ȊÕf(ON),FM77AV40EX/SX(OFF)
*
IS_FM77AV40EX	PSHS	D
* WRAM֐؂ւA$00
				LDB		#$02
				STB		INITDIS
				CLR		$6B0E
				CLR		$6B10
* CjVG[^ROM֐؂ւAǂݏo`FbN
				CLR		INITDIS
				LDA		$6B0E
				LDB		$6B10
				CMPD	#$3431
				BNE		IS_FM77AV40EX1
* YꂸɕWRAMɖ߂Ă
				LDB		#$02
				STB		INITDIS
				PULS	D
				ANDCC	#$FE
				RTS
* YꂸɕWRAMɖ߂Ă
IS_FM77AV40EX1	LDB		#$02
				STB		INITDIS
				PULS	D
				ORCC	#$01
				RTS

*--[ FM77AV ]-----------------------------------------------------------------

*
*	FM77AV
*
FM77AV_INIT		LBSR	MMR_INIT
				LBSR	SUB_HALT
				LBSR	MMR_VRAM
* L[GR[_ɑ΂AXLR[hw
				LDA		#$00
				STA		KENCDAT
FM77AV_INIT1	LDA		KENCSTA
				LSRA
				BCC		FM77AV_INIT1
				LDA		#$02
				STA		KENCDAT
FM77AV_INIT2	LDA		KENCSTA
				LSRA
				BCC		FM77AV_INIT2
				LBSR	MMR_BASIC
				RTS

*
*	MMR
*
*	USEREG: A,B,X
*
MMR_INIT		CLR		MMSR
				CLR		MSSW1
				CLR		MSSW2
				LDB		#3
MMR_INIT1		STB		MSGR
				LDX		#MMR+0
				LDA		#$30
MMR_INIT2		STA		,X+
				INCA
				CMPA	#$40
				BCS		MMR_INIT2
				DECB
				BPL		MMR_INIT1
* VRAMpZOg(SEGMENT 1)
				LDB		#1
				STB		MSGR
				LDX		#MMR+8
				LDB		#4
				LDA		#$10
MMR_INIT3		STA		,X+
				INCA
				DECB
				BNE		MMR_INIT3
				LDA		#$1D
				STA		MMR+$D
*
				CLR		MSGR
				LDA		#$80
				STA		MMSR
				RTS

*
*	MMRݒ(VRAMANZX)
*
*	USEREG: A
*
MMR_VRAM		STA		BANKSEL
				LDA		#1
				STA		MSGR
* _ZON
				LDA		#$08
				STA		ALUDIS
				LDA		#$80
				STA		ALUCMD
				RTS

*
*	MMRݒ(F-BASIC ROM)
*
MMR_BASIC		EQU		*
				CLR		MSGR
				TST		BANKSEL
				RTS

*
*	Xy[X҂
*
KEY_SPACE		LDA		KEYDAT
* BREAKR[h`FbN
* ̃\[Xł͉L[󉟂ȂƓ삵Ȃ悤Ȃ̂
				CMPA	#$57+$80
				BEQ		KEY_SPACE
				CMPA	#$58+$80
				BEQ		KEY_SPACE
				CMPA	#$35+$80
				BEQ		KEY_SPACE
* ܂ő҂
KEY_SPACE1		LDA		KEYDAT
				BMI		KEY_SPACE1
				CMPA	#$57
				BEQ		KEY_SPACE2
				CMPA	#$58
				BEQ		KEY_SPACE2
				CMPA	#$35
				BNE		KEY_SPACE1
* ܂ő҂
KEY_SPACE2		LDA		KEYDAT
				BPL		KEY_SPACE2
				RTS

*--[ o(FM77AV) ]-------------------------------------------------------

*
*	\
*
*	PARAM.: X	
*			U	VRAMAhX
*
PUT_STRING		LBSR	MMR_VRAM
PUT_STRING1		LDA		,X+
				BEQ		PUT_STRING4
				CMPA	#$11
				BEQ		PUT_STRING2
				CMPA	#$12
				BEQ		PUT_STRING3
				LDB		,X+
				LBSR	PUT_KANJI
				LEAU	2,U
				BRA		PUT_STRING1
* Fw
PUT_STRING2		LDA		,X+
				STA		<COLOR
				BRA		PUT_STRING1
* Ww(8dotP)
PUT_STRING3		LDA		1,X
				LDB		#$A0
				MUL
				LSLB
				ROLA
				LSLB
				ROLA
				ORB		,X
				LEAX	2,X
				TFR		D,U
				BRA		PUT_STRING1
* I
PUT_STRING4		LBSR	MMR_BASIC
				RTS

*
*	\
*
*	PARAM.: D	SHIFT JIS
*			U	VRAMAhX
*
PUT_KANJI		PSHS	U,X
				LBSR	SHIFT_TO_JIS
				LEAU	KANJI_BUF,PCR
				LBSR	GET_KANJI
				LEAX	KANJI_BUF,PCR
				LDU		2,S
				LEAU	$8000,U
* 16x12 NA
				CLR		ALUCOL
				CLR		ALUMASK
				LDB		#12
PUT_KANJI1		TST		,U
				TST		1,U
				LEAU	$50,U
				DECB
				BNE		PUT_KANJI1
				LEAU	-$3C0,U
* 16x12 `
				LDA		<COLOR
				STA		ALUCOL
				LDB		#12
PUT_KANJI2		LDA		,X+
				STA		ALUMASK
				TST		,U
				LDA		,X+
				STA		ALUMASK
				TST		1,U
				LEAU	$50,U
				DECB
				BNE		PUT_KANJI2
				PULS	X,U,PC

*
*	p^[擾
*
*	PARAM.: D	JIS
*			U	obt@(32oCg)
*
GET_KANJI		PSHS	X,B,A
* RA0-RA4
				PSHS	B,A
				LSLB
				ROLA
				LSLB
				ROLA
				LSLB
				ROLA
				LSLB
				ROLA
				ANDA	#$01
				STD		,S
* RA5-RA7
				LDA		2,S
				LSLA
				ANDA	#$0E
				ORA		,S
				STA		,S
* RA8
				LDD		2,S
				ANDA	#$70
				ANDB	#$60
				CMPD	#$2060
				BEQ		GET_KANJI1
				LDA		2,S
				LSLA
				ANDA	#$10
				ORA		,S
				STA		,S
				BRA		GET_KANJI2
GET_KANJI1		LDA		#$10
				ORA		,S
				STA		,S
* RA9,RA10,RA11
GET_KANJI2		LDD		2,S
				LSRB
				LSRB
				LSRB
				LSRB
				LSRB
				ANDB	#$03
				PSHS	B
				LSRA
				LSRA
				ANDA	#$1C
				ORA		,S+
				LEAX	GET_KANJI_TBL,PCR
				CLRB
GET_KANJI3		CMPA	,X+
				BEQ		GET_KANJI4
				INCB
				CMPB	#$08
				BCS		GET_KANJI3
				CLRB
GET_KANJI4		TFR		B,A
				LSLA
				LSLA
				LSLA
				LSLA
				LSLA
				ORA		,S
				LDB		1,S
				TFR		D,X
				LEAS	4,S
* ROMAhX=X
				LDA		#4
				PSHS	A
GET_KANJI5		STX		KNJ1ADR
				LDD		KNJ1DATA
				STD		,U
				LEAX	1,X
				STX		KNJ1ADR
				LDD		KNJ1DATA
				ORA		,U
				ORB		1,U
				COMA
				COMB
				STD		,U++
				LEAX	1,X
				STX		KNJ1ADR
				LDD		KNJ1DATA
				COMA
				COMB
				STD		,U++
				LEAX	1,X
				STX		KNJ1ADR
				LDD		KNJ1DATA
				COMA
				COMB
				STD		,U++
				LEAX	1,X
				DEC		,S
				BNE		GET_KANJI5
				PULS	A,X,PC

*
*	SHIFT JISJISϊ
*
*	PARAM.: D	SHIFT JIS
*	RESULT: D	JIS
*
SHIFT_TO_JIS	PSHS	A
				ADDA	,S+
				SUBB	#$1F
				BMI		SHIFT_TO_JIS1
				CMPB	#$61
				ADCB	#$DE
SHIFT_TO_JIS1	ADDD	#$1FA1
				ANDA	#$7F
				ANDB	#$7F
				RTS

*
* ʃNA
*
* USEREG: A,B,X,Y,U
*
CLS				LBSR	MMR_VRAM
				CLR		ALUCOL
				CLR		ALUMASK
				LDU		#$8000
				LDB		#200
				PSHS	B
CLS1			PULU	A,B,X,Y
				PULU	A,B,X,Y
				PULU	A,B,X,Y
				PULU	A,B,X,Y
				PULU	A,B,X,Y
				PULU	A,B,X,Y
				PULU	A,B,X,Y
				PULU	A,B,X,Y
				PULU	A,B,X,Y
				PULU	A,B,X,Y
				PULU	A,B,X,Y
				PULU	A,B,X,Y
				PULU	A,B,X,Y
				PULU	A,B
				DEC		,S
				BNE		CLS1
				PULS	B
				LBRA	MMR_BASIC

*--[ TuCPU ]----------------------------------------------------------------

*
*	TuCPU HALT
*
*	USEREG: A
*
SUB_HALT		LDA		SUBSIN
				BMI		SUB_HALT
				LDA		#$80
				STA		SUBSIN
SUB_HALT1		LDA		SUBSIN
				BPL		SUB_HALT1
				RTS

*
*	TuCPU R}ho
*
*	PARAM.: X	R}hf[^($FC82`)
*			B	M
*	USEREG: A,B,X,U
*
SUB_CMD			LBSR	SUB_HALT
* f[^
				LDU		#SHARED
				CLR		,U+
				CLR		,U+
SUB_CMD1		LDA		,X+
				STA		,U+
				DECB
				BNE		SUB_CMD1
* TuCPU s
				CLR		SUBSIN
				RTS

*
*	o (FM77AVp)
*
*	PARAM.: X	
*	USEREG: A,B,X,U
*
PRINT			TFR	X,U
* 𐔂
				CLRB
PRINT1			TST		,U+
				BEQ		PRINT2
				INCB
				BRA		PRINT1
* obt@ɃZbg
PRINT2			LEAU	BUFFER,PCR
				LDA		#$03
				STA		,U+
				STB		,U+
PRINT3			LDA		,X+
				STA		,U+
				DECB
				BNE		PRINT3
* s
				LEAX	BUFFER,PCR
				LDB		1,X
				INCB
				INCB
				LBRA	SUB_CMD

*--[ DOS ]--------------------------------------------------------------------

	include		diskdrv.asm

*--[ DATA ]-------------------------------------------------------------------

*
*	TuCPU R}h (FM77AV)
*
SUBINIT_CMD		FCB		$01,$00,40,25,0,25,0,1,0
SUBCONS_CMD		FCB		$0C,$06
INKEY_CMD		FCB		$29,$01

*
*	ROMϊe[u
*
GET_KANJI_TBL	FCB		$09,$0A,$0D,$0E
				FCB		$0F,$11,$12,$13

*
*	t@Cl[
*
KANJI_FN		FCC		/KANJI   ROM/,0

*
*	\bZ[W(N)
*
FM77AV_MSG		FCB		$12,$0A,$0B
				FCC		"FM77AV40EX/SX ONLY!",0

	if	(defined(FBLOADM))
TITLE_MSG		FCB		$11,$07,$12,$17,$06
				FCC		/wlV@qnlZ[u[eBeB/
				FCB		$12,$1C,$08
				FCC		/ibj@PXXX@ohD/
				FCB		$12,$14,$0a
				FCC		/ibj@QOOR`QOPX@݂肤/,0
TITLE_MSG2		FCC		$12,$12,$10
	endif
				FCC		/hCuOɃuNQccfBXNZbg/,0
FORMAT_MSG		FCB		$11,$07,$12,$1B,$09
				FCC		/_tH[}bgĂ܂/,0

*
* \bZ[W(ROMZ[u)
*
KANJI_MSG		FCB		$11,$07,$12,$0F,$09
				FCC		/PqnliihrVWj@Z[uĂ܂/,0

*
* \bZ[W(G[)
*
NOTREADY_MSG	FCB		$11,$02,$12,$19,$10
				FCC		/fBXNZbgĂ܂/,0
WRPROTECT_MSG	FCB		$11,$02,$12,$1A,$10
				FCC		/CgveNgĂ܂/,0
SEEKERR_MSG		FCB		$11,$02,$12,$20,$10
				FCC		/V[NG[ł/,0
READERR_MSG		FCB		$11,$02,$12,$1F,$10
				FCC		/ǂݍ݃G[ł/,0
WRITEERR_MSG	FCB		$11,$02,$12,$1F,$10
				FCC		/݃G[ł/,0
SPACE_MSG		FCB		$11,$04,$12,$1A,$12
				FCC		/Xy[X/
				FCB		$11,$07
				FCC		/L[Ă/,0
CLEAR_MSG		FCB		$11,$07,$12,$19,$10
				FCC		/@@@@@@@@@@@@@@@/
				FCB		$12,$1A,$12
				FCC		/@@@@@@@@@@@@@@/,0
COMPLETE_MSG	FCB		$11,$07,$12,$22,$09
				FCC		/I܂/,0

*
* vOI
*
PRGEND			EQU		*
				END
